summaryrefslogtreecommitdiff
path: root/init.d/root
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-01-31 16:10:18 +0000
committerRoy Marples <roy@marples.name>2008-01-31 16:10:18 +0000
commite687cc1e79f95c3fb69ed895e5666e434c1a3519 (patch)
tree18d356cdeadf6ca0a1511eebf744c158cc95c935 /init.d/root
parentb6b88d3a07a921de7450a529769a02f0b86cb7db (diff)
downloadopenrc-e687cc1e79f95c3fb69ed895e5666e434c1a3519.tar.gz
openrc-e687cc1e79f95c3fb69ed895e5666e434c1a3519.tar.bz2
openrc-e687cc1e79f95c3fb69ed895e5666e434c1a3519.tar.xz
Remove the over-engineered checkfs and checkroot scripts and replace with simple fsck, root and mtab scripts. Update dependencies accordingly.
Diffstat (limited to 'init.d/root')
-rw-r--r--init.d/root25
1 files changed, 25 insertions, 0 deletions
diff --git a/init.d/root b/init.d/root
new file mode 100644
index 0000000..fa20ebd
--- /dev/null
+++ b/init.d/root
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Mount the root fs read/write"
+
+depend()
+{
+ need fsck
+}
+
+start()
+{
+ if echo 2>/dev/null >/.test.$$; then
+ rm -f /.test.$$
+ return 0
+ fi
+
+ ebegin "Remounting root filesystem read/write"
+ case "${RC_UNAME}" in
+ Linux) mount -n -o remount,rw /;;
+ *) mount -u -o rw /;;
+ esac
+ eend $? "Root filesystem could not be mounted read/write"
+}